Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema
Class Schema

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.Schema

All Implemented Interfaces:
  java.lang.Comparable

public class Schema
extends java.lang.Object
implements java.lang.Comparable

Represents a database schema.

Method Summary
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table` | `addTable(java.lang.String name)` Add a table to the schema.
`int` | `compareTo(java.lang.Object other)`
`java.lang.String` | `getName()` Return the name of the schema, or null if none.
`com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaGroup` | `getSchemaGroup()` Return the schema's group.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table` | `getTable(java.lang.String name)` Return the table with the given name, or null if none.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table[]` | `getTables()` Return the schema's tables.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table` | `importTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)` Import a table from another schema.
`boolean` | `removeTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table tab)` Remove the given table from the schema.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSchemaGroup

    public com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaGroup getSchemaGroup()

  Return the schema's group.

### getName

    public java.lang.String getName()

  Return the name of the schema, or null if none.

### getTables

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table[] getTables()

  Return the schema's tables.

### getTable

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table getTable(java.lang.String name)

  Return the table with the given name, or null if none.

### addTable

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table addTable(java.lang.String name)

  Add a table to the schema.

### removeTable

    public boolean removeTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table tab)

  Remove the given table from the schema.

  Returns:
    true if the table was removed, false if not in the schema

### importTable

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table importTable(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)

  Import a table from another schema. Note that this method does not import foreign keys or indexes.

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.